import Vue from 'vue';
import VueRouter from 'vue-router';
import modules from './__modules__';

Vue.use(VueRouter);

const routes = [
  {
    path: '',
    redirect: '/'
  },
  ...modules,
  {
    path: '**',
    redirect: ''
  }
];

const router = new VueRouter({
  mode: 'history',
  base: '/',
  routes
});

export default router;
